const express = require('express');
const fs = require('fs/promises');
const { MongoClient } = require('mongodb');
const uri = "mongodb://mongohost";
const app = express();

const client = new MongoClient(uri);
let db = null;

app.use(express.static(`${__dirname}/public`));
app.use(express.json());
app.get("/api/books", async (req, res) => {
    let books = await db.collection("books").find().toArray();
    res.json(books);
});

app.get("/api/books/:id", async (req, res) => {
    let id = parseInt(req.params.id);
    let book = await db.collection("books").findOne({id});
    res.json(book);
});

app.post("/api/books", async (req, res) => {
    let new_book = {
        id: parseInt(req.body.id),
        title: req.body.title,
        author: req.body.author
    };
    await db.collection("books").insertOne(new_book);
    res.json(new_book);
});

app.get("/books/:id", async (req, res) => {
    try {
        const data = await fs.readFile(`${__dirname}/public/book.html`, { encoding: 'utf8' });
        res.send(data);
      } catch (err) {
        console.log(err);
      }
})

app.listen(3000, async () => {
    await client.connect();
    db = client.db("books");
});