getBooks().then( books => {
    books.forEach(book => {
        addBook(book);
    });

});

function addBook(book){
    const table = document.querySelector("#booklist")
    const tr = document.createElement("tr");
    const id = document.createElement("td");
    const title = document.createElement("td");
    const author = document.createElement("td");
    const a = document.createElement("a");
    a.href=`/books/${book.id}`;
    a.innerText = book.id;
    id.appendChild(a);
    title.innerText = book.title;
    author.innerText = book.author;
    table.appendChild(tr);
    tr.appendChild(id);
    tr.appendChild(author);
    tr.appendChild(title);
}

const button = document.querySelector("#create");
button.addEventListener("click", event => {
    event.preventDefault();
    const id = document.querySelector("#idbook").value;
    const author = document.querySelector("#autore").value;
    const title = document.querySelector("#titolo").value;
    const book = {id, author, title};
    postData(book);
});

	
async function postData(book) {
    const response = await fetch("/api/books", {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json'
      },
      body: JSON.stringify(book) 
    });
    const res = await response.json();
    addBook(res);
  }

async function getBooks() {
    const response = await fetch("/api/books");
    const books = await response.json();
    return books;
}